/*
Copyright 2017-2023 Ian Jauslin

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/


#define COMMAND_UK 1
#define COMMAND_ENSTROPHY 2
#define COMMAND_QUIET 3

#define DRIVING_ZERO 1
#define DRIVING_TEST 2
#define DRIVING_FILE 3
#define DRIVING_FILE_TXT 4

#define INIT_RANDOM 1
#define INIT_GAUSSIAN 2
#define INIT_FILE 3
#define INIT_FILE_TXT 4

#define ALGORITHM_RK4 1
#define ALGORITHM_RK2 2
#define ALGORITHM_ADAPTIVE_THRESHOLD 1000
// adaptive algorithms: index > ALGORITHM_ADAPTIVE_THRESHOLD
#define ALGORITHM_RKF45 1001
#define ALGORITHM_RKDP54 1002
#define ALGORITHM_RKBS32 1003

#define NORM_L1 1
#define NORM_k3 2
#define NORM_k32 3
#define NORM_ENSTROPHY 4
